<!doctype html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- Bootstrap CSS -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.3/font/bootstrap-icons.css">

  <title>Movies</title>
</head>

<body>

  <div class="container table-responsive">
    <table class="table table-hover caption-top align-middle">
      <caption>List of movies
        <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#exampleModal"
          data-bs-whatever="Add"><i class="bi-plus-circle"></i></button>
      </caption>
      <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">Title</th>
          <th scope="col">Genres</th>
          <th scope="col">Duration</th>
          <th scope="col">Studio</th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody id="movies">

      </tbody>
    </table>
  </div>

  <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">New message</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <form>
            <div class="form-floating mb-3">
              <input type="text" class="form-control" id="floatingInputTitle" name="title" placeholder="Movie Title"
                required>
              <label for="floatingInputTitle">Title</label>
            </div>

            <div class="form-floating mb-3">
              <textarea class="form-control" placeholder="Movies Genres (Split by Comma)" id="floatingTextarea"
                name="genres" required></textarea>
              <label for="floatingTextarea">Genres (Split by Comma)</label>
            </div>

            <div class="form-floating mb-3">
              <input type="number" class="form-control" id="floatingInputDuration" name="duration"
                placeholder="Movie Duration in Minutes" required>
              <label for="floatingInputDuration">Duration (in Minutes)</label>
            </div>

            <div class="form-floating mb-3">
              <input type="text" class="form-control" id="floatingInputStudio" name="studio" placeholder="Movie Studio"
                required>
              <label for="floatingInputStudio">Studio</label>
            </div>
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <button type="button" class="btn btn-primary" data-bs-dismiss="modal" onclick="saveMovie()">Save</button>
        </div>
      </div>
    </div>
  </div>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"></script>

  <script src="/javascripts/index.js"></script>
</body>

</html>